Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(155)

Unified Diff: tools/sync_google3.sh

Issue 1406283002: Include resources directory in google3 sync. (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 5 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« BUILD.public ('K') | « tools/git_clone_to_google3.sh ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/sync_google3.sh
diff --git a/tools/sync_google3.sh b/tools/sync_google3.sh
index 57d6ac9f37f7d40a8924da0c8445a4dab1e40833..1d330ec573d34000feec04d04db2805d041a39ec 100755
--- a/tools/sync_google3.sh
+++ b/tools/sync_google3.sh
@@ -11,9 +11,10 @@
# Usage:
# ./tools/sync_google3.sh
-source gbash.sh || exit
+prodcertstatus -q || (echo "Please run prodaccess." 1>&2; exit 1)
+source gbash.sh || exit 2
-set -x -e
+set -e
MY_DIR="$(gbash::get_absolute_caller_dir)"
LKGR="$(${MY_DIR}/get_skia_lkgr.sh)"
@@ -27,6 +28,8 @@ fi
cd "${GOOGLE3}/third_party/skia/HEAD"
${MY_DIR}/git_clone_to_google3.sh --skia_rev "${LKGR}"
+echo "Synced client ${CLIENT_NAME} to ${LKGR}"
+
# Update README.google.
sed --in-place "s/^Version: .*/Version: ${LKGR}/" README.google
sed --in-place "s/URL: http:\/\/skia.googlesource.com\/skia\/+archive\/.*\.tar\.gz/URL: http:\/\/skia.googlesource.com\/skia\/+archive\/${LKGR}.tar.gz/" README.google
@@ -39,5 +42,12 @@ g4 reopen
CHANGE="$(g4 change --desc "Update skia HEAD to ${LKGR}.")"
CL="$(echo "${CHANGE}" | sed "s/Change \([0-9]\+\) created.*/\1/")"
-# Run TAP.
-tap_presubmit -c "${CL}" -p skia
+echo "Created CL ${CL} (http://cl/${CL})"
+
+# Run presubmit (will run TAP tests).
+if g4 presubmit -c "${CL}"; then
+ echo "CL is ready for review and submit at http://cl/${CL}"
+else
+ echo "Presubmit failed for CL ${CL} in client ${CLIENT_NAME}" 1>&2
+ exit 3
+fi
« BUILD.public ('K') | « tools/git_clone_to_google3.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698